Subject: bug#35580: closed (Re: bug#35580: hexl-mode documentation is confusing about insertion)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 11 May 2019 12:02:02 +0000

Your bug report

#35580: hexl-mode documentation is confusing about insertion

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
35580: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=35580
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#35580: hexl-mode documentation is confusing about insertion
From: Eli Zaretskii <[email-masked]>
To: Reuben Thomas <[email-masked]>
Cc: [email-masked]
Date: Sat, 11 May 2019 15:01:26 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Reuben Thomas <[email-masked]>
> Date: Sun, 5 May 2019 13:53:55 +0100
> 
>   Ordinary text characters overwrite in Hexl mode.  This is to reduce
> the risk of accidentally spoiling the alignment of data in the file.
> There are special commands for insertion.
> 
> (I copied this from git master just to be sure!)
> 
> The list of commands underneath list several commands that have "insert" in their name, leading the naive
> reader (me) to believe they will insert rather than overwrite.
> 
> However, this is not the case: the various keystrokes listed underneath which mention "insert" all overstrike.
> 
> I suspect that my confusion results from guessing (incorrectly) that the sentence "There are special
> commands for insertion" uses the word "insertion" to oppose "overwrite" earlier in the paragraph; but in fact, it
> means "insertion" in the sense of "inserting a character", which happens always to overwrite in hexl-mode.

Thanks, I clarified this text.

Subject: hexl-mode documentation is confusing about insertion
From: Reuben Thomas <[email-masked]>
To: bug-emacs <[email-masked]>
Date: Sun, 5 May 2019 13:53:55 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

I have been trying to understand how to insert (rather than overwrite)
characters in hexl-mode. The documentation seems to be quite clear:

  Ordinary text characters overwrite in Hexl mode.  This is to reduce
the risk of accidentally spoiling the alignment of data in the file.
There are special commands for insertion.

(I copied this from git master just to be sure!)

The list of commands underneath list several commands that have "insert" in
their name, leading the naive reader (me) to believe they will insert
rather than overwrite.

However, this is not the case: the various keystrokes listed underneath
which mention "insert" all overstrike.

I suspect that my confusion results from guessing (incorrectly) that the
sentence "There are special commands for insertion" uses the word
"insertion" to oppose "overwrite" earlier in the paragraph; but in fact, it
means "insertion" in the sense of "inserting a character", which happens
always to overwrite in hexl-mode.

To clarify this, I suggest changing the sentence

  There are special commands for insertion.

to

  There are special commands to insert characters by their numeric code.

I think this is the feature that the sentence is trying to point up, as
evidenced by the fact that the (partial) list of commands that follows
gives the various commands for inserting a character by its code.

Finally, the sentence

  Here is a list of the commands of Hexl mode:

could be changed to

  Here are some of the most useful commands of Hexl mode:

because the list is not comprehensive (nor need it be).

-- 
https://rrt.sc3d.org